Thank you Magnus! It worked like a charm! Although, I don&#39;t know what it exactly did. I&#39;ll dig into the script and find out what it actually did. Thank you once again!<br><br><div class="gmail_quote">On Thu, Mar 15, 2012 at 5:23 PM, Magnus Therning <span dir="ltr">&lt;<a href="mailto:magnus@therning.org">magnus@therning.org</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div class="HOEnZb"><div class="h5">On Thu, Mar 15, 2012 at 09:55, AbdulSattar Mohammed<br>
&lt;<a href="mailto:codingtales@gmail.com">codingtales@gmail.com</a>&gt; wrote:<br>
&gt; When I run<br>
&gt; sudo pacman -S xmonad<br>
&gt;<br>
&gt; I get this error:<br>
&gt;<br>
&gt; warning: xmonad-0.10-3 is up to date -- reinstalling<br>
&gt; resolving dependencies...<br>
&gt; looking for inter-conflicts...<br>
&gt;<br>
&gt; Targets (1): xmonad-0.10-3<br>
&gt;<br>
&gt; Total Installed Size:   6.82 MiB<br>
&gt; Net Upgrade Size:       0.00 MiB<br>
&gt;<br>
&gt; Proceed with installation? [Y/n]<br>
&gt; (1/1) checking package integrity<br>
&gt; [#######################################] 100%<br>
&gt; (1/1) loading package files<br>
&gt;  [#######################################] 100%<br>
&gt; (1/1) checking for file conflicts<br>
&gt;  [#######################################] 100%<br>
&gt; (1/1) checking available disk space<br>
&gt;  [#######################################] 100%<br>
&gt; ghc-pkg: cannot find package xmonad-0.10<br>
&gt; error: command failed to execute correctly<br>
&gt; (1/1) upgrading xmonad<br>
&gt; [#######################################] 100%<br>
&gt; Reading package info from stdin ... done.<br>
&gt; xmonad-0.10: Warning: haddock-interfaces:<br>
&gt; /usr/share/doc/xmonad-0.10/html/xmonad.haddock doesn&#39;t exist or isn&#39;t a file<br>
&gt; xmonad-0.10: Warning: haddock-html: /usr/share/doc/xmonad-0.10/html doesn&#39;t<br>
&gt; exist or isn&#39;t a directory<br>
&gt; xmonad-0.10: dependency &quot;X11-1.5.0.1-23969a606024c8baf35a42f59a8da104&quot;<br>
&gt; doesn&#39;t exist (use --force to override)<br>
&gt; xmonad-0.10: dependency &quot;mtl-2.0.1.0-db19dd8a7700e3d3adda8aa8fe5bf53d&quot;<br>
&gt; doesn&#39;t exist (use --force to override)<br>
&gt; xmonad-0.10: dependency &quot;utf8-string-0.3.7-ca3bc669f78a10f8e42ef22439bcf83c&quot;<br>
&gt; doesn&#39;t exist (use --force to override)<br>
&gt; error: command failed to execute correctly<br>
&gt;<br>
&gt; I get similar errors when I try to install<br>
&gt; haskell-http,mtl,network,parsec,random,text,transformers etc. These are all<br>
&gt; the packages that I installed previously, which worked fine and I somehow<br>
&gt; removed them. I don&#39;t know how I did that. They do not show up in ghc-pkg<br>
&gt; list. And that is the error that&#39;s being reported. From the above message I<br>
&gt; gather that these packages are not actually installed, pacman thinks they<br>
&gt; are and ghc thinks they are not. I should make pacman think they are not<br>
&gt; installed and reinstall them again.<br>
&gt;<br>
&gt; Or it might be other way around. They are actually present (most probably<br>
&gt; indicated by the Net Upgrade Size: 0.00 MiB). Pacman could be right but<br>
&gt; those packages are not registered with ghc. Then I should find a way to<br>
&gt; register those packages with ghc. I think, the register.sh, unregister.sh in<br>
&gt; /usr/share/haskell folder allow me to do that. But before I realized this, I<br>
&gt; deleted the whole folder thinking it&#39;d regenerate itself when I install them<br>
&gt; again. I know that was stupid.<br>
&gt;<br>
&gt; I tried removing those packages using pacman -R haskell-http etc. They won&#39;t<br>
&gt; get removed. Same error.<br>
&gt;<br>
&gt; I have one solution in mind, install cabal-install and install all those<br>
&gt; packages via cabal-install. Then, they&#39;d get registered with ghc-pkg and<br>
&gt; removing them or reinstalling them via pacman would be possible. But I&#39;m<br>
&gt; sure there&#39;s a better way. Can you tell me which one it is?<br>
<br>
</div></div>I&#39;m not sure how you managed to get into this situation, but a fairly<br>
sure way of fixing it is to first remove &#39;ghc&#39; and then re-install the<br>
haskell packages you want.<br>
<br>
A script written by Xyne and advertised earlier on this list may help<br>
you out: <a href="http://www.haskell.org/pipermail/arch-haskell/2012-March/002014.html" target="_blank">http://www.haskell.org/pipermail/arch-haskell/2012-March/002014.html</a><br>
<div class="im"><br>
&gt; P.S: I think (I&#39;m not sure) this situation got created when I ran pacman -S<br>
&gt; ghc after I installed all these pacakges. Could this be the problem or I&#39;m<br>
&gt; talking nonsense?<br>
<br>
</div>It is possible, but I&#39;ve never tried that myself ;)<br>
<span class="HOEnZb"><font color="#888888"><br>
/M<br>
<br>
--<br>
Magnus Therning                      OpenPGP: 0xAB4DFBA4<br>
email: <a href="mailto:magnus@therning.org">magnus@therning.org</a>   jabber: <a href="mailto:magnus@therning.org">magnus@therning.org</a><br>
twitter: magthe               <a href="http://therning.org/magnus" target="_blank">http://therning.org/magnus</a><br>
</font></span></blockquote></div><br><br clear="all"><div><br></div>-- <br>Warm Regards,<br><br>AbdulSattar Mohammed<br>